Signatures
Envelope Check
Verifies whether all required actions to open an envelope have been completed.
- The envelope is identified using the transactionId (tid) query parameter, typically obtained from the GET /signatures/envelope/list endpoint.
- The endpoint checks for completion of required actions, such as legal terms acceptance.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Query Parameters
tid?string
Transaction token identifying a specific recipient+envelope pair. Required for anonymous/recipient access (no Authorization header, or the header doesn't resolve to the envelope owner).
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/signatures/envelope/check"{ "result": { "statusCode": 200, "message": "OK", "data": { "envelope": { "id": "e76ef275-270d-4aa7-a0b6-74e4c81f9eab", "uploadDate": "string", "status": "Completed", "subject": "Q3 vendor agreement", "createdBy": { "id": "2877966f-247d-4ac5-a623-5260e6853bd9", "name": "John Smith", "email": "name@example.com" } }, "recipient": { "id": "ab84fc05-9f1b-47fb-8caf-2e35d15db789", "role": "signer", "name": "Acme Corp Agreement.pdf", "email": "name@example.com", "status": "Completed", "isTokenExpired": true, "legalAccepted": true, "isMfaEnabled": true, "isMfaValid": true, "hostEmail": "name@example.com", "hasUser": true }, "settings": [ {} ] } }, "origin": "GET https://api.doctavian.com/v1/signatures/envelope/check", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "67fc59d8-518a-4128-8258-0ecd6d93d9ad"}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "GET https://api.doctavian.com/v1/signatures/envelope/check", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "86e99322-a24e-4470-9fd7-28d2d17e7d1f", "operationId": "4bcadc032bc3d7a8dffba45d75e65eab"}{ "error": { "message": "Envelope not found.", "statusCode": 500, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "GET https://api.doctavian.com/v1/signatures/envelope/check", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "64c35134-5766-4e27-908c-2fe0022f2d36", "operationId": "7c3e506e432c1f9887ff7b28020abac3"}